{
	"artifacts" : 
	[
		{
			"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/app/VCarContainer"
		}
	],
	"backtrace" : 2,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"cuda_add_executable",
			"link_directories",
			"target_link_libraries",
			"set_property",
			"find_package",
			"add_definitions",
			"include_directories",
			"CUDA_ADD_CUDA_INCLUDE_ONCE"
		],
		"files" : 
		[
			"/home/nvidia/.cache/JetBrains/RemoteDev/dist/183fdf9ddf63d_CLion-233.11799.171-aarch64/bin/cmake/linux/aarch64/share/cmake-3.27/Modules/FindCUDA.cmake",
			"CMakeLists.txt",
			"/home/nvidia/.cache/JetBrains/RemoteDev/dist/183fdf9ddf63d_CLion-233.11799.171-aarch64/bin/cmake/linux/aarch64/share/cmake-3.27/Modules/FindThreads.cmake"
		],
		"nodes" : 
		[
			{
				"file" : 1
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 203,
				"parent" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 2062,
				"parent" : 1
			},
			{
				"command" : 2,
				"file" : 1,
				"line" : 142,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 0,
				"line" : 2073,
				"parent" : 1
			},
			{
				"command" : 3,
				"file" : 1,
				"line" : 208,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 1,
				"line" : 209,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 1,
				"line" : 210,
				"parent" : 0
			},
			{
				"command" : 3,
				"file" : 1,
				"line" : 212,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 1,
				"line" : 17,
				"parent" : 0
			},
			{
				"file" : 0,
				"parent" : 9
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 1071,
				"parent" : 10
			},
			{
				"file" : 2,
				"parent" : 11
			},
			{
				"command" : 4,
				"file" : 2,
				"line" : 238,
				"parent" : 12
			},
			{
				"command" : 6,
				"file" : 1,
				"line" : 10,
				"parent" : 0
			},
			{
				"command" : 7,
				"file" : 1,
				"line" : 78,
				"parent" : 0
			},
			{
				"command" : 8,
				"file" : 0,
				"line" : 2050,
				"parent" : 1
			},
			{
				"command" : 7,
				"file" : 0,
				"line" : 1390,
				"parent" : 16
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-O3 -DNDEBUG -std=gnu++11 -fdiagnostics-color=always   -std=c++11"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 14,
					"define" : "API_EXPORTS"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/ai_matrix"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/ai_matrix/framework"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/ai_matrix/mylog"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/ai_matrix/myqueue"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/ai_matrix/myshell"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/ai_matrix/Utils"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/ai_matrix/Config"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/base/BlockingQueue"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/base/CBase64"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/base/CommandParser"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/base/CommonDataType"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/base/ConfigParser"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/base/ErrorCode"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/base/FileManager"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/base/Log"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/base"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/common"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/interface"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/DataSourceEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/DecodeEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/MoveEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/SaveMoveImageEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/SaveMoveInfoEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/Step1DataReadEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/Step1InferenceEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/Step1FilterInferenceEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/DetectDivideEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/Step2DataReadEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/Step2InferenceEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/CharacterConversionEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/SelectBestEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/SaveResultCSVEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/DataUploadEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/ApiEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/ControlEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/SaveDebugImageEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/WSServerEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/CornerInferenceEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/MergeEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/engine/DeleteExpiredFolderEngine"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/tools/rtsp_server/3rdpart/md5"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/tools/rtsp_server/net"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/tools/rtsp_server/xop"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/tools/yolov5/include"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/tools/Http"
				},
				{
					"backtrace" : 15,
					"path" : "/home/storage/zv/Code/CarContainer/VCarContainer_arm/tools/WebSocket"
				},
				{
					"backtrace" : 15,
					"path" : "/usr/local/cuda-10.2/include"
				},
				{
					"backtrace" : 15,
					"path" : "/usr/include/libdrm"
				},
				{
					"backtrace" : 15,
					"path" : "/usr/local/lib/cmake/opencv4"
				},
				{
					"backtrace" : 17,
					"path" : "/usr/local/cuda/include"
				},
				{
					"backtrace" : 8,
					"isSystem" : true,
					"path" : "/usr/local/include/opencv4"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					8
				],
				"standard" : "11"
			},
			"sourceIndexes" : 
			[
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28,
				29,
				30,
				31,
				32,
				33,
				34,
				35,
				36,
				37,
				38,
				39,
				40,
				41,
				42,
				43,
				44,
				45,
				46,
				47,
				48,
				49,
				50,
				51,
				52,
				53,
				54,
				55,
				56,
				57,
				58,
				59,
				60,
				61,
				62,
				63,
				64,
				65,
				66,
				67,
				68,
				69,
				70,
				71,
				72,
				73,
				74,
				81
			]
		}
	],
	"id" : "VCarContainer::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-O3 -DNDEBUG",
				"role" : "flags"
			},
			{
				"fragment" : "",
				"role" : "flags"
			},
			{
				"backtrace" : 3,
				"fragment" : "-L/usr/local/lib",
				"role" : "libraryPath"
			},
			{
				"backtrace" : 3,
				"fragment" : "-L/usr/local/cuda-10.2/lib64",
				"role" : "libraryPath"
			},
			{
				"backtrace" : 3,
				"fragment" : "-L/usr/lib/aarch64-linux-gnu/tegra",
				"role" : "libraryPath"
			},
			{
				"fragment" : "-Wl,-rpath,./lib:/usr/local/lib:/usr/local/cuda-10.2/lib64:/usr/lib/aarch64-linux-gnu/tegra",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "/usr/local/cuda/lib64/libcudart_static.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "-ldl",
				"role" : "libraries"
			},
			{
				"backtrace" : 4,
				"fragment" : "/usr/lib/aarch64-linux-gnu/librt.so",
				"role" : "libraries"
			},
			{
				"backtrace" : 5,
				"fragment" : "-lpthread",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "-lnvinfer",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "-lnvonnxparser",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "-lnvcaffe_parser",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "-lnvinfer_plugin",
				"role" : "libraries"
			},
			{
				"backtrace" : 7,
				"fragment" : "-lcudart",
				"role" : "libraries"
			},
			{
				"backtrace" : 7,
				"fragment" : "-lcuda",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_gapi.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_highgui.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_ml.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_objdetect.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_photo.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_stitching.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_video.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_videoio.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lavformat",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lavcodec",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lavutil",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lavfilter",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lswresample",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lswscale",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lpostproc",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lyaml-cpp",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-ljsoncpp",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lcurl",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lboost_system",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lboost_filesystem",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-lssh2",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-Wl,-z,relro,-z,now,-z,noexecstack",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-pie",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-s",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-laws-cpp-sdk-core",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "-laws-cpp-sdk-s3",
				"role" : "libraries"
			},
			{
				"backtrace" : 13,
				"fragment" : "-lpthread",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_imgcodecs.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_dnn.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_calib3d.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_features2d.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_flann.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_imgproc.so.4.5.5",
				"role" : "libraries"
			},
			{
				"backtrace" : 8,
				"fragment" : "/usr/local/lib/libopencv_core.so.4.5.5",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "VCarContainer",
	"nameOnDisk" : "VCarContainer",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Object Files",
			"sourceIndexes" : 
			[
				0,
				1,
				2,
				3,
				4,
				5,
				6,
				7
			]
		},
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				8,
				9,
				10,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				22,
				23,
				24,
				25,
				26,
				27,
				28,
				29,
				30,
				31,
				32,
				33,
				34,
				35,
				36,
				37,
				38,
				39,
				40,
				41,
				42,
				43,
				44,
				45,
				46,
				47,
				48,
				49,
				50,
				51,
				52,
				53,
				54,
				55,
				56,
				57,
				58,
				59,
				60,
				61,
				62,
				63,
				64,
				65,
				66,
				67,
				68,
				69,
				70,
				71,
				72,
				73,
				74,
				75,
				76,
				77,
				78,
				79,
				80,
				81,
				82,
				83
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 2,
			"isGenerated" : true,
			"path" : "cmake-build-debug/CMakeFiles/VCarContainer.dir/tools/yolov5/src/VCarContainer_generated_inference.cu.o",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"isGenerated" : true,
			"path" : "cmake-build-debug/CMakeFiles/VCarContainer.dir/tools/yolov5/src/VCarContainer_generated_preprocess.cu.o",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"isGenerated" : true,
			"path" : "cmake-build-debug/CMakeFiles/VCarContainer.dir/tools/yolov5/src/VCarContainer_generated_retinanet_classify_inference.cu.o",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"isGenerated" : true,
			"path" : "cmake-build-debug/CMakeFiles/VCarContainer.dir/tools/yolov5/src/VCarContainer_generated_yololayer.cu.o",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"isGenerated" : true,
			"path" : "cmake-build-debug/CMakeFiles/VCarContainer.dir/tools/yolov5/src/VCarContainer_generated_yolov5_classify_inference.cu.o",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"isGenerated" : true,
			"path" : "cmake-build-debug/CMakeFiles/VCarContainer.dir/tools/yolov5/src/VCarContainer_generated_yolov5_clearity_inference.cu.o",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"isGenerated" : true,
			"path" : "cmake-build-debug/CMakeFiles/VCarContainer.dir/tools/yolov5/src/VCarContainer_generated_yolov5_inference.cu.o",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"isGenerated" : true,
			"path" : "cmake-build-debug/CMakeFiles/VCarContainer.dir/tools/yolov5/src/VCarContainer_generated_yolov8_inference.cu.o",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "ai_matrix/Config/Config.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "ai_matrix/Utils/FileUtil.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "ai_matrix/Utils/StringUtil.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "ai_matrix/Utils/TimeUtil.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "ai_matrix/Utils/Utils.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "ai_matrix/framework/EngineBase.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "ai_matrix/framework/EngineManager.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "ai_matrix/mylog/mylog.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "ai_matrix/myshell/myshell.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "base/CommandParser/CommandParser.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "base/ConfigParser/ConfigParser.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "base/ErrorCode/ErrorCode.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "base/FileManager/FileManager.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "base/Log/Log.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "common/AppCommon.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/ApiEngine/ApiEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/CharacterConversionEngine/ContainerCharacterConversionEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/ControlEngine/ControlEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/CornerInferenceEngine/CornerInferenceEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/DataSourceEngine/VideoEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/DataUploadEngine/ToMinioSrvEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/DecodeEngine/HardDecode.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/DecodeEngine/VideoDecodeEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/DeleteExpiredFolderEngine/DeleteExpiredFolderEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/DetectDivideEngine/ContainerDivideEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/MergeEngine/Step1MergeEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/SaveDebugImageEngine/SaveDebugImageEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/SaveMoveImageEngine/SaveMoveImageEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/SaveMoveInfoEngine/SaveMoveInfoEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/SaveResultCSVEngine/SaveResultCSVEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/SelectBestEngine/SelectBestEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/Step1InferenceEngine/ContainerStep1InferenceEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/Step2InferenceEngine/ContainerStep2InferenceEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "engine/WSServerEngine/WSServerEngine.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "interface/ToWeb.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "main.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/Acceptor.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/BufferReader.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/BufferWriter.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/EpollTaskScheduler.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/EventLoop.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/Logger.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/MemoryManager.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/NetInterface.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/Pipe.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/SelectTaskScheduler.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/SocketUtil.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/TaskScheduler.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/TcpConnection.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/TcpServer.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/TcpSocket.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/Timer.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/net/Timestamp.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/AACSource.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/DigestAuthentication.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/G711ASource.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/H264Parser.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/H264Source.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/H265Source.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/MediaSession.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/RtpConnection.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/RtspConnection.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/RtspMessage.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/RtspPusher.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/RtspServer.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/rtsp_server/xop/VP8Source.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/yolov5/src/calibrator.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"path" : "tools/yolov5/src/inference.cu",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"path" : "tools/yolov5/src/preprocess.cu",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"path" : "tools/yolov5/src/retinanet_classify_inference.cu",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"path" : "tools/yolov5/src/yololayer.cu",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"path" : "tools/yolov5/src/yolov5_classify_inference.cu",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"path" : "tools/yolov5/src/yolov5_clearity_inference.cu",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "tools/yolov5/src/yolov5_common.cpp",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"path" : "tools/yolov5/src/yolov5_inference.cu",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 2,
			"path" : "tools/yolov5/src/yolov8_inference.cu",
			"sourceGroupIndex" : 1
		}
	],
	"type" : "EXECUTABLE"
}
